## visad.data.netcdf.in
Class VirtualText

    java.lang.Object
      visad.data.netcdf.in.VirtualData
          visad.data.netcdf.in.VirtualScalar
              visad.data.netcdf.in.VirtualText

public class VirtualText
extends VirtualScalar

Provides support for a virtual VisAD Scalar.

Field Summary
`(package private) StringCharAdapter` `stringVar`

Constructor Summary
`VirtualText(ScalarType type, Variable var)` Constructs from a scalar type and a 2-D char netCDF variable

Method Summary
`Object` `clone()` Clones this instance.
`protected Scalar` `getScalar(Context context)` Gets the Scalar object corresponding to this virtual, data object.

Methods inherited from class visad.data.netcdf.in.VirtualScalar
`getData, getDataFactory, getDoubles, getRangeSet, getScalarType, getType, getUnit, getVariable, getVetter, isReal, setDataFactory, toArray`

Methods inherited from class visad.data.netcdf.in.VirtualData
`getData, toString`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### stringVar

    StringCharAdapter stringVar

Constructor Detail

### VirtualText

    public VirtualText(ScalarType type,
                       Variable var)

  Constructs from a scalar type and a 2-D char netCDF variable

Parameters:
  `type` - The type of the nested scalar.
  `var` - The 1-D netCDF variable.

Method Detail

### getScalar

    protected Scalar getScalar(Context context)
                        throws VisADException,
                               InvalidContextException,
                               IOException

  Gets the Scalar object corresponding to this virtual, data object.

  Specified by:
    `getScalar` in class `VirtualScalar`
  Returns:
    The VisAD Scalar corresponding to this virtual, data object.
  Throws:
    `InvalidContextException` - if the indicial context is invalid.
    `VisADException` - Couldn't create necessary VisAD object.
    `RemoteException` - if a Java RMI failure occurs.
    `IOException` - I/O failure.

### clone

    public Object clone()

  Clones this instance.

  Specified by:
    `clone` in class `VirtualData`
  Returns:
    A (deep) clone of this instance.